curl --request GET \
--url https://test.deribit.com/api/v2/private/disable_cancel_on_disconnect \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 1569,
"method": "private/disable_cancel_on_disconnect",
"params": {
"scope": "account"
}
}
'{
"jsonrpc": "2.0",
"id": 1569,
"result": "ok"
}Session Management
private/disable_cancel_on_disconnect
Disable Cancel On Disconnect for the connection.
When change is applied for the account, then every newly opened connection will start with inactive Cancel on Disconnect.
Scope & transport:
scope=connection(the default) applies to the current WebSocket connection only and is available over WebSocket only. Over REST/HTTP it fails with10030(must_be_websocket_request), so HTTP clients must passscope=account.scope=accountchanges the account setting, works over both WebSocket and REST/HTTP, and requires theaccount:read_writescope. Connection scope only requires an authenticated connection.
Scope: account:read_write (only for scope=account)
curl --request GET \
--url https://test.deribit.com/api/v2/private/disable_cancel_on_disconnect \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 1569,
"method": "private/disable_cancel_on_disconnect",
"params": {
"scope": "account"
}
}
'{
"jsonrpc": "2.0",
"id": 1569,
"result": "ok"
}Query Parameters
Specifies if Cancel On Disconnect change should be applied/checked for the current connection or the account (default - connection)
NOTICE: Scope connection can be used only when working via Websocket.
Available options:
connection, account Was this page helpful?